# Bio.HMM.Utilities module

Generic functions which are useful for working with HMMs.

This just collects general functions which you might like to use in dealing with HMMs.

Bio.HMM.Utilities.pretty_print_prediction(emissions, real_state, predicted_state, emission_title='Emissions', real_title='Real State', predicted_title='Predicted State', line_width=75)

  Print out a state sequence prediction in a nice manner.

  Arguments:

    - emissions – The sequence of emissions of the sequence you are dealing with.

    - real_state – The actual state path that generated the emissions.

    - predicted_state – A state path predicted by some kind of HMM model.

Biopython v: 1.85

Versions
  Previous
  Latest
  Develop

Biopython Project
  Homepage
  On GitHub